libdap::D4EnumDef Class Reference

## Public Types

typedef vector< tuple >::iterator | D4EnumValueIter

## Public Member Functions

void | add_value (const string &label, long long value)
| D4EnumDef (const D4EnumDef &rhs)
| D4EnumDef (const string &n, const Type &t, D4EnumDefs *e=0)
bool | empty () const
bool | is_valid_enum_value (long long value)
string & | label (D4EnumValueIter i)
string | name () const
D4EnumDef & | operator= (const D4EnumDef &rhs)
D4EnumDefs * | parent () const
void | print_dap4 (XMLWriter &xml) const
void | set_name (const string &n)
void | set_parent (D4EnumDefs *e)
void | set_type (Type t)
Type | type () const
long long | value (D4EnumValueIter i)
D4EnumValueIter | value_begin ()
D4EnumValueIter | value_end ()

## Detailed Description

Definition at line 42 of file D4EnumDefs.h.

## Member Typedef Documentation

## D4EnumValueIter

typedef vector<tuple>::iterator libdap::D4EnumDef::D4EnumValueIter

Definition at line 67 of file D4EnumDefs.h.

## Constructor & Destructor Documentation

## D4EnumDef() [1/3]

libdap::D4EnumDef::D4EnumDef | ( |  | ) |

inline

Definition at line 69 of file D4EnumDefs.h.

## D4EnumDef() [2/3]

libdap::D4EnumDef::D4EnumDef | ( | const string & | n,
|  | const Type & | t,
|  | D4EnumDefs * | e = `0`
| ) |  |

inline

Definition at line 70 of file D4EnumDefs.h.

## D4EnumDef() [3/3]

libdap::D4EnumDef::D4EnumDef | ( | const D4EnumDef & | rhs | ) |

inline

Definition at line 71 of file D4EnumDefs.h.

## ~D4EnumDef()

virtual libdap::D4EnumDef::~D4EnumDef | ( |  | ) |

inline virtual

Definition at line 75 of file D4EnumDefs.h.

## Member Function Documentation

## add_value()

void libdap::D4EnumDef::add_value | ( | const string & | label,
|  | long long | value
| ) |  |

inline

Definition at line 94 of file D4EnumDefs.h.

## empty()

bool libdap::D4EnumDef::empty | ( |  | ) | const

inline

Definition at line 92 of file D4EnumDefs.h.

## is_valid_enum_value()

bool libdap::D4EnumDef::is_valid_enum_value | ( | long long | value | ) |

Test if a particular value is legal for a given type. In a D4EnumDef, all values are actually stored in a long long, but the different enumerations can specify different types like Byte, Int32, ..., and this method is used to test that the values match those types.

Definition at line 43 of file D4EnumDefs.cc.

## label()

string & libdap::D4EnumDef::label | ( | D4EnumValueIter | i | ) |

inline

Definition at line 100 of file D4EnumDefs.h.

## name()

string libdap::D4EnumDef::name | ( |  | ) | const

inline

Definition at line 83 of file D4EnumDefs.h.

## operator=()

D4EnumDef & libdap::D4EnumDef::operator= | ( | const D4EnumDef & | rhs | ) |

inline

Definition at line 77 of file D4EnumDefs.h.

## parent()

D4EnumDefs * libdap::D4EnumDef::parent | ( |  | ) | const

inline

Definition at line 89 of file D4EnumDefs.h.

## print_dap4()

void libdap::D4EnumDef::print_dap4 | ( | XMLWriter & | xml | ) | const

Definition at line 104 of file D4EnumDefs.cc.

## set_name()

void libdap::D4EnumDef::set_name | ( | const string & | n | ) |

inline

Definition at line 84 of file D4EnumDefs.h.

## set_parent()

void libdap::D4EnumDef::set_parent | ( | D4EnumDefs * | e | ) |

inline

Definition at line 90 of file D4EnumDefs.h.

## set_type()

void libdap::D4EnumDef::set_type | ( | Type | t | ) |

inline

Definition at line 87 of file D4EnumDefs.h.

## type()

Type libdap::D4EnumDef::type | ( |  | ) | const

inline

Definition at line 86 of file D4EnumDefs.h.

## value()

long long libdap::D4EnumDef::value | ( | D4EnumValueIter | i | ) |

inline

Definition at line 101 of file D4EnumDefs.h.

## value_begin()

D4EnumValueIter libdap::D4EnumDef::value_begin | ( |  | ) |

inline

Definition at line 98 of file D4EnumDefs.h.

## value_end()

D4EnumValueIter libdap::D4EnumDef::value_end | ( |  | ) |

inline

Definition at line 99 of file D4EnumDefs.h.

The documentation for this class was generated from the following files:

- D4EnumDefs.h
- D4EnumDefs.cc